commit 03590a49be0a3e554767f65fd357268e64af5c06
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Aug 13 15:47:04 2013 +0100

    Fix symbol collection for modern kernels
    
    The /proc/ksyms file has been obsolete for years. Switch to
    unconditionally collecting /proc/kallsyms instead.
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

diff --git a/sos/plugins/kernel.py b/sos/plugins/kernel.py
index ec0090d..d7a9de8 100644
--- a/sos/plugins/kernel.py
+++ b/sos/plugins/kernel.py
@@ -54,8 +54,7 @@ class kernel(sos.plugintools.PluginBase):
                 self.collectExtOutput("/sbin/modinfo " + runcmd)
 
         self.collectExtOutput("/sbin/sysctl -a")
-        if os.path.isfile("/sbin/ksyms"):
-            self.collectExtOutput("/sbin/ksyms")
+        self.addCopySpec("/proc/kallsyms")
         self.addCopySpec("/sys/module/*/parameters")
         self.addCopySpec("/proc/filesystems")
         self.addCopySpec("/proc/ksyms")
